Bug 639372 - pykickstart does not remove %includes
pykickstart does not remove %includes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 668050
  Show dependency treegraph
 
Reported: 2010-10-01 11:11 EDT by Jay Greguske
Modified: 2011-01-07 14:01 EST (History)
2 users (show)

See Also:
Fixed In Version: pykickstart-1.80-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 668050 (view as bug list)
Environment:
Last Closed: 2010-12-09 11:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Greguske 2010-10-01 11:11:50 EDT
Description of problem:

If pykickstart reads a kickstart file that has %include macros, it will write them out again in its output. Since the output already contains the contents of the included ks files, they should be omitted.

Version-Release number of selected component (if applicable):
pykickstart-1.70-1.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
Run ksflatten on any kickstart file that has %include macros.
  
Actual results:
11:10 AM jgregusk@zyzyx:~/code/spin-kickstarts $ ksflatten fedora-livecd-desktop.ks | grep include
%include fedora-live-base.ks
%include fedora-live-minimization.ks

Expected results:
grep should not print anything

Additional Info:
Koji uses pykickstart to build livecds and disk images. We want it to support the use case were kickstart files supplied to it have %includes.
Comment 1 Bug Zapper 2010-11-03 05:42:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jay Greguske 2010-11-23 15:25:44 EST
Any news on this bug? It's not a huge deal, but I don't want it forgotten. It makes future Fedora image building in Koji harder than it needs to be.
Comment 3 Dennis Gilmore 2010-11-23 15:28:20 EST
This will be a F-15 blocker as we are planning to build all the livecds and
appliances in koji, we will be pulling kickstarts from git and flatting the
snippets together. we definetly hit this with F-14 when testing image
composition in koji
Comment 4 Chris Lumens 2010-11-29 13:29:18 EST
I haven't forgotten.  I just don't have any good ideas on it yet.
Comment 5 Chris Lumens 2010-12-06 14:59:17 EST
Does applying http://clumens.fedorapeople.org/remove-include-annotation.patch fix this problem?
Comment 6 Jay Greguske 2010-12-08 13:09:29 EST
Yes this does fix the problem. Thanks for looking into this. Dennis can you get through a image build task in Fedora Koji with this fix on a builder?
Comment 7 Chris Lumens 2010-12-09 11:52:38 EST
I'll do a new build with this soon.  For now, it's been pushed to git.

Note You need to log in before you can comment on or make changes to this bug.